#version 330
#extension GL_ARB_separate_shader_objects : require


uniform vec3 g_MatColor;
uniform float g_Alpha;
uniform sampler2D g_TexSampler;
layout( location = 0 ) in vec4 i_color;
layout( location = 1 ) in vec2 i_texcoord;






out vec4 o_color;

void main()

{


	{
		o_color = i_color;
		o_color *= texture2D( g_TexSampler, i_texcoord );
		o_color.rgb *= g_MatColor;
		o_color.a *= g_Alpha;
	}
}
